{==============================================================================|

| Project : JP-Delphi Test files

|==============================================================================|

| Project version : 1.0

|==============================================================================|

| Content : 

|==============================================================================|

| Author : Jiri Provaznik

|==============================================================================|

| URL : www.provaz.cz/sector02

|==============================================================================|

| Copyright: 

|  The Initial Developer of the Original Code is Jiri Provaznik 

|  (Czech Republic). Copyright (C) 2003. All Rights Reserved.

|==============================================================================|

| History: 

|==============================================================================}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin;

type
  TForm1 = class(TForm)
    btnD1: TButton;
    btnNow: TButton;
    lbDate: TLabel;
    btnD2: TButton;
    btnH1: TButton;
    speDen: TSpinEdit;
    speHodina: TSpinEdit;
    btnH2: TButton;
    btnM1: TButton;
    btnM2: TButton;
    speMin: TSpinEdit;
    btnSec1: TButton;
    btnSec2: TButton;
    speSec: TSpinEdit;
    btmMS1: TButton;
    btmMS2: TButton;
    speMesic: TSpinEdit;
    Label1: TLabel;
    procedure btnNowClick(Sender: TObject);
    procedure btnD1Click(Sender: TObject);
    procedure btnD2Click(Sender: TObject);
    procedure btnH1Click(Sender: TObject);
    procedure btnH2Click(Sender: TObject);
    procedure btnM1Click(Sender: TObject);
    procedure btnM2Click(Sender: TObject);
    procedure btnSec1Click(Sender: TObject);
    procedure btnSec2Click(Sender: TObject);
    procedure btmMS1Click(Sender: TObject);
    procedure btmMS2Click(Sender: TObject);
  private
    { Private declarations }
    fDateTime : TDateTime;
  public
    { Public declarations }
    procedure ShowFormDate;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ShowFormDate;
begin
  lbDate.Caption := FormatDateTime('yyyy-mm-dd hh.nn.ss.zzz',fDateTime);
end;

procedure TForm1.btnNowClick(Sender: TObject);
begin
  fDateTime := Now;
  ShowFormDate;
end;

procedure TForm1.btnD1Click(Sender: TObject);
begin
  fDateTime := fDateTime + speDen.Value;
  ShowFormDate;
end;

procedure TForm1.btnD2Click(Sender: TObject);
begin
  fDateTime := fDateTime - speDen.Value;
  ShowFormDate;
end;

procedure TForm1.btnH1Click(Sender: TObject);
begin
  fDateTime := fDateTime + (speHodina.Value/24);
  ShowFormDate;
end;

procedure TForm1.btnH2Click(Sender: TObject);
begin
  fDateTime := fDateTime - (speHodina.Value/24);
  ShowFormDate;
end;

procedure TForm1.btnM1Click(Sender: TObject);
begin
  fDateTime := fDateTime + (speMin.Value/1440);
  ShowFormDate;
end;

procedure TForm1.btnM2Click(Sender: TObject);
begin
  fDateTime := fDateTime - (speMin.Value/1440);
  ShowFormDate;
end;

procedure TForm1.btnSec1Click(Sender: TObject);
begin
  fDateTime := fDateTime + (speSec.Value/86400);
  ShowFormDate;
end;

procedure TForm1.btnSec2Click(Sender: TObject);
begin
  fDateTime := fDateTime - (speSec.Value/86400);
  ShowFormDate;
end;

procedure TForm1.btmMS1Click(Sender: TObject);
begin
  fDateTime := IncMonth(fDateTime, speMesic.Value);
  ShowFormDate;
end;

procedure TForm1.btmMS2Click(Sender: TObject);
begin
  fDateTime := IncMonth(fDateTime,0-speMesic.Value);
  ShowFormDate;
end;

end.
